import request from "@/utils/request";

// 获取料箱列表
export function getStorageBoxesList(data: any) {
  return request({
    url: "/api/v1/stock/queryVehicleList",
    method: "post",
    data,
  });
}

// 出库
export function toOutBox(data: object) {
  return request({
    url: "/api/v1/wmsOrder/outBox",
    method: "post",
    data,
  });
}

// 返库
export function backToStorageAPI(data: object) {
  return request({
    url: "/api/v1/wmsOrder/inBox",
    method: "post",
    data,
  });
}
//
export function inBoxAPI(data: object) {
  return request({
    url: "/api/v1/wmsOrder/inBox",
    method: "post",
    data,
  });
}